%global namedreltag -CR1
%global namedversion %{version}%{?namedreltag}

Name:          hibernate-tools
Version:       4.0.0
Release:       0.1.20130714git%{?dist}
Summary:       Tools for Eclipse and Ant
License:       LGPLv2+
URL:           https://github.com/hibernate/hibernate-tools/
# git clone git://github.com/hibernate/hibernate-tools.git
# find hibernate-tools/ -name "*.class" -delete
# find hibernate-tools/ -name "*.jar" -delete
# tar cJf hibernate-tools-4.0.0-CR1-20130714-src-git.tar.xz hibernate-tools
Source0:       %{name}-%{namedversion}-20130714-src-git.tar.xz
# Unifying error logger in XMLHelper and standalone ErrorLogger - support for hibernate >= 4.0.1
Patch0:        %{name}-%{namedversion}-ErrorLogger.patch

BuildRequires: java-devel

BuildRequires: mvn(antlr:antlr)
BuildRequires: mvn(commons-collections:commons-collections)
BuildRequires: mvn(commons-logging:commons-logging)
#BuildRequires: mvn(dom4j:dom4j)
BuildRequires: mvn(javax.transaction:jta)
BuildRequires: mvn(net.sf.jtidy:jtidy)
BuildRequires: mvn(org.apache.ant:ant)

%if 0
#BuildRequires: eclipse-platform *
#BuildRequires: eclipse-rcp *
BuildRequires: mvn(org.eclipse:text)
BuildRequires: mvn(org.eclipse.core:runtime)
BuildRequires: mvn(org.eclipse.equinox:common)
BuildRequires: mvn(org.eclipse.tycho:org.eclipse.jdt.core)
%endif
BuildRequires: mvn(org.jboss:jboss-parent)
BuildRequires: mvn(org.freemarker:freemarker)
BuildRequires: mvn(org.hibernate:hibernate-core) >= 4.0.0
BuildRequires: mvn(org.hibernate:hibernate-entitymanager) >= 4.0.0
BuildRequires: mvn(org.hibernate:hibernate-commons-annotations)
BuildRequires: mvn(org.hibernate.javax.persistence:hibernate-jpa-2.0-api)
BuildRequires: mvn(org.slf4j:slf4j-api)

%if 0
# test deps
BuildRequires: mvn(jaxen:jaxen)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.ant:ant-launcher)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
# test drivers
BuildRequires: mvn(com.h2database:h2)
BuildRequires: mvn(hsqldb:hsqldb)
BuildRequires: hsqldb1
BuildRequires: mvn(mysql:mysql-connector-java)
BuildRequires: mvn(postgresql:postgresql)
%endif

BuildRequires: maven-local
BuildRequires: maven-antrun-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-source-plugin
BuildRequires: properties-maven-plugin

BuildArch:     noarch

%description
Forward- and reverse-engineering tools for Eclipse and Ant.

NOTE: this package don't provides support for Eclipse.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}
%patch0 -p0

%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:groupId='ant']/pom:groupId" org.apache.ant
%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:groupId='freemarker']/pom:groupId" org.freemarker
%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:artifactId='jtidy']/pom:groupId" net.sf.jtidy
%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:artifactId='jtidy']/pom:version" 1.0

# unavailable test libraries
%pom_xpath_remove "pom:project/pom:profiles/pom:profile[pom:id='db2v82']"
%pom_xpath_remove "pom:project/pom:profiles/pom:profile[pom:id='db2-91']"
%pom_xpath_remove "pom:project/pom:profiles/pom:profile[pom:id='db2-97']"
%pom_xpath_remove "pom:project/pom:profiles/pom:profile[pom:id='oracle9i']"
%pom_xpath_remove "pom:project/pom:profiles/pom:profile[pom:id='oracle10g']"
%pom_xpath_remove "pom:project/pom:profiles/pom:profile[pom:id='oracle11g']"
%pom_xpath_remove "pom:project/pom:profiles/pom:profile[pom:id='oracle11gRAC']"
%pom_xpath_remove "pom:project/pom:profiles/pom:profile[pom:id='sybase15']"
%pom_xpath_remove "pom:project/pom:profiles/pom:profile[pom:id='mssql2005']"
%pom_xpath_remove "pom:project/pom:profiles/pom:profile[pom:id='mssql2005_jtds']"
%pom_xpath_remove "pom:project/pom:profiles/pom:profile[pom:id='mssql2008']"

# require hsqldb 1.8.0.10 for testing
%pom_xpath_set "pom:project/pom:properties/pom:jdbc.driver.jdbc.driver.version" 1
%pom_xpath_set "pom:project/pom:profiles/pom:profile[pom:id='hsqldb']/pom:properties/pom:jdbc.driver.jdbc.driver.version" 1

# package org.apache.commons.collections does not exist
%pom_add_dep commons-collections:commons-collections::compile
# package org.slf4j does not exist
%pom_add_dep org.slf4j:slf4j-api::compile

#%%pom_add_dep dom4j:dom4j::compile

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," lgpl.txt

sed -i 's/\r//' src/javadoc/jdstyle.css

%if 0
# ln -sf $(build-classpath ?) lib/testlibs/jboss-annotations-ejb3.jar *
# ln -sf $(build-classpath ?) lib/testlibs/jboss-archive-browsing.jar *
# ln -sf $(build-classpath ?) lib/testlibs/jboss-ejb3x.jar            *
%endif

# remove eclipse stuff
rm -r src/java/org/hibernate/tool/ide/formatting/JavaFormatter.java \
 src/java/org/hibernate/tool/ant/JavaFormatterTask.java \
 src/test/org/hibernate/tool/ant/JavaFormatterTest.java \
 src/test/org/hibernate/tool/test/TestHelper.java
# eclipse's packages don't provide maven files for these artifacts
%pom_remove_dep org.eclipse:text
%pom_remove_dep org.eclipse.core:runtime
%pom_remove_dep org.eclipse.equinox:common
%pom_remove_dep org.eclipse.tycho:org.eclipse.jdt.core

%build

%mvn_file : %{name}
# unavailable test deps *  -Phsqldb
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc changelog.txt lgpl.txt readme.txt

%files javadoc -f .mfiles-javadoc
%doc lgpl.txt

%changelog
* Sun Jul 14 2013 gil cattaneo <puntogil@libero.it> 4.0.0-0.1.20130714git
- Update to 4.0.0-CR1

* Sun Aug 12 2012 gil cattaneo <puntogil@libero.it> 3.6.0-0.1.20120812git
- Update to 3.6.0-SNAPSHOT

* Mon Jun 04 2012 gil cattaneo <puntogil@libero.it> 3.5.0-1
- Update to 3.5.0.Alpha-SNAPSHOT

* Tue Apr 10 2012 gil cattaneo <puntogil@libero.it> 3.2.4-1
- Initial rpm